%% JPEG2BMP(fig_jpeg,modo)
% Faz a converso do padro jpeg para o bitmap. 
% O valor de MODO, indica a converso a ser realizada
function fig_bitmap = JPEG2BMP(fig_jpeg,modo,tamanho)

% altura = 240;
% largura = 320;
% planos = 3;

%% MODO = NADA
% No modo "nada", nenhuma converso  realizada, apenas o vetor 
% convertido em uma matriz para ser exibida na tela.
if strcmpi(modo,'nada')
    
    % Pega o tamanho da imagem
    tam = size(fig_jpeg);
    % Aloca memra para a imagem jpeg
    fig_bitmap = zeros(tamanho(1),tamanho(2),tamanho(3),'uint8');
    % "i" indexa toda a imagem
    i = 1 : tam(2);
    % Converte o vetor da imagem JPEG para uma matriz BMP
    fig_bitmap(i) = fig_jpeg(1,i);

%% MODO = HD
% No modo "hd", a converso  realizada, porm, utilizando o chuncho da
% gravao no HD e leitura de arquivo binrio.
elseif strcmpi(modo,'hd')
    
    % Abre/cria o arquivo binrio
    fid = fopen('Imagem.jpeg','w');
    % Grava a imagem JPEG no arquivo
    fwrite(fid,fig_jpeg);
    % Encerra o descritor para o arquivo
    fclose(fid);
    % L a imagem do HD, convertendo-a para bitmap
    fig_bitmap = imread('Imagem.jpeg');
    
end
